<?PHP
////++++++++++++++++ CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////

////Conexiones y tiempos de ejecución
$VpnEn=$_GET["VPN"] or $VpnEn=$_POST["VPN"];
$LtEn=$_GET["LT"] or $LtEn=$_POST["LT"];
ini_set('max_execution_time', $LtEn);
include ("Conections/$VpnEn.php");

$Cve_Modulo = "CMOD201506100066";

///Arrastra Variables Fijas
$UsuEn=$_POST['UsuKP'] or $UsuEn=$_GET['UsuKP'];
$TokEn=$_POST["TokenKP"] or $TokEn=$_GET["TokenKP"];
$IDSeEn=$_POST["IdDAcce"] or $IDSeEn=$_GET["IdDAcce"];
$CtaSesionEn=$_POST['CtaSKP'] or $CtaSesionEn=$_GET['CtaSKP'];


	/////////Identificar personalización 1 
		$sqlP1 = mysql_query("select * from wms_personaliza1 where ID='1'");
		if (mysql_numrows($sqlP1)==0) echo "";
		else{
		$registroP1=mysql_fetch_array($sqlP1);
		}
		if (mysql_numrows($sqlP1)>0)
		{
		$BBackg=$registroP1["BODY_BACKGROUND_IMG"];
		}
	
	/////////Identificar personalización 2
		$sqlP2 = mysql_query("select * from wms_personaliza2 where ID='1'");
		if (mysql_numrows($sqlP2)==0) echo "";
		else{
		$registroP2=mysql_fetch_array($sqlP2);
		}
		if (mysql_numrows($sqlP2)>0)
		{
		$Titulo=$registroP2["TITULO_PAGINAS"];
		}
		
	/////////Identificar personalización 3
		$sqlP3 = mysql_query("select * from wms_personaliza3 where ID='1'");
		if (mysql_numrows($sqlP3)==0) echo "";
		else{
		$registroP3=mysql_fetch_array($sqlP3);
		}
		if (mysql_numrows($sqlP3)>0)
		{
		$FuTi_Form=$registroP3["FUENTE_TITULOFORMULARIO"];
		$TaTi_Form=$registroP3["TAMANO_TITULOFORMULARIO"];
		$BgTi_Form=$registroP3["COLOR_TITULOFORMULARIO"];
		$FuCu_Form=$registroP3["FUENTE_FORMULARIO"];
		$TaCu_Form=$registroP3["TAMANO_FORMULARIO"];
		$BgCu_Form=$registroP3["COLOR_FORMULARIO"];
		$FonTi_Form=$registroP3["BG_TABLATITULO"];
		$FonCi_Form=$registroP3["BG_TABLACUERPO"];
		$FonSe_Form=$registroP3["BG_TABLASEPARACION"];
		$Borde_Form=$registroP3["BORDER_CAMPO"];
		$CamDe_Form=$registroP3["BG_CAMPODESHABILITADO"];
		$ClaBtn=$registroP3["CLASE_BOTON"];
		}
		
	/////////Identificar personalización 4
		$sqlP4 = mysql_query("select * from wms_personaliza4 where ID='1'");
		if (mysql_numrows($sqlP4)==0) echo "";
		else{
		$registroP4=mysql_fetch_array($sqlP4);
		}
		if (mysql_numrows($sqlP4)>0)
		{
		$Bord_Tabl=$registroP4["BG_BORDE"];
		$Fond_Tabl=$registroP4["BG_FONDOGRALTABLA"];
		$BgF1_Tabl=$registroP4["BG_FILA_1"];
		$BgF2_Tabl=$registroP4["BG_FILA_2"];
		$FTit_Tabl=$registroP4["FUENTE_TABLATITULO"];
		$TTit_Tabl=$registroP4["TAMANO_FUENTETABLATITULO"];
		$CFTi_Tabl=$registroP4["COLOR_FUENTETABLATITULO"];
		$FEnc_Tabl=$registroP4["FUENTE_TABLAENCA"];
		$TEnc_Tabl=$registroP4["TAMANO_FUENTETABLAENCA"];
		$CEnc_Tabl=$registroP4["COLOR_FUENTETABLAENCA"];
		$FCue_Tabl=$registroP4["FUENTE_TABLACUER"];
		$TCue_Tabl=$registroP4["TAMANO_FUENTETABLACUER"];
		$CCue_Tabl=$registroP4["COLOR_FUENTETABLACUER"];
		}		
		
	/////////Identificar configuracion 1
		$sqlC1 = mysql_query("select * from wms_configura1 where ID='1'");
		if (mysql_numrows($sqlC1)==0) echo "";
		else{
		$registroC1=mysql_fetch_array($sqlC1);
		}
		if (mysql_numrows($sqlC1)>0)
		{
		$TimeInac=$registroC1["TIEMPO_INACTIVIDAD"];
		}
		
	/////////Identifica si el token aun esta vigente
		$ExtAño = substr($TokEn, -28, 4);    // devuelve el año
		$ExtDia = substr($TokEn, -7, 2);    // devuelve el mes
		$ExtMes = substr($TokEn, -14, 2);    // devuelve el día
		$FechTok=$ExtDia."/".$ExtMes."/".$ExtAño;
		$FechAct=$PreTo4=date("d/m/Y");
		
		if ($FechTok<>$FechAct)
		{
			echo "<script>alert('La sesión del Token de seguridad ha caducado.\\nFavor de iniciar sesion nuevamente.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_Force.php?USUkp=$UsuEn&IdDeAcc=$IDSeEn'>";
		}
		else
		{ ///Inicia IF Sesion Token
		
	/////////Identificar permisos de acceso 1
		$sqlPA1 = mysql_query("select * from tabla_usuarios where USUARION='$UsuEn'");
		if (mysql_numrows($sqlPA1)==0) 
		{
			echo "<script>alert('CODIGO: LOGSYS#00001\\nEl Usuario en sesión ha sido truncado por inexistencia.'); </script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogIn.php'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 1
		
	/////////Identificar permisos de acceso 2
		$sqlPA2 = mysql_query("select * from wms_configurapermisosnivelmodulo where USUARIO='$UsuEn' AND CVE_MODULO='$Cve_Modulo'");
		if (mysql_numrows($sqlPA2)==0) 
		{
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=SinPermisos.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Cve_ModuloKP=$Cve_Modulo'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 2
	
	/////////Identificar permisos de acceso 3 - Acreditación de Sesión Activa	
		$sqlPA3 = mysql_query("select * from tabla_controlsesiones where USUARIO='$UsuEn'");
		if (mysql_numrows($sqlPA3)==0) 
		{
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_ReLogIn.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&' target='_parent'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 3
		
		//////HORA y FECHA/////
			
			//////Identificar la Cuenta y la Bodega
			$sqlCR1 = mysql_query("select * from wms_configura_altacuentas where NOMBRE_CUENTA='$CtaSesionEn'");
			if (mysql_numrows($sqlCR1)==0) echo "";
			else{
			$registroCR1=mysql_fetch_array($sqlCR1);
			}
			if (mysql_numrows($sqlCR1)>0)
			{
			$CveBodCR1=$registroCR1["CVE_BODEGA"];
			$CveCueCR1=$registroCR1["CVE_CUENTA"];
			}
			
				$sqlCR2 = mysql_query("select * from wms_configura_altabodega where CVE_BODEGA='$CveBodCR1'");
				if (mysql_numrows($sqlCR2)==0) echo "";
				else{
				$registroCR2=mysql_fetch_array($sqlCR2);
				}
				if (mysql_numrows($sqlCR2)>0)
				{
				$NomBodCR2=$registroCR2["NOMBRE_BODEGA"];
				}

////++++++++++++++ FIN CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<?PHP echo"<link rel='stylesheet' href='cssBtn/style_Btns.css'>"; ?>
<link rel="shortcut icon" href="../WMS_Resources/images/favicon.ico">
<title><?PHP echo $Titulo; ?></title>
<style type="text/css">
body {
	background-image: url(../WMS_Resources/images/MainBkgr/<?PHP echo $BBackg; ?>);
}

.Clase_TipoLetraTitulos {
	font-family: <?PHP echo $FuTi_Form; ?>;
	font-size:<?PHP echo $TaTi_Form; ?>px;
	color:<?PHP echo $BgTi_Form; ?>;
}
.Clase_TipoLetra {
	font-family: <?PHP echo $FuCu_Form; ?>;
	font-size:<?PHP echo $TaCu_Form; ?>px;
	color:<?PHP echo $BgCu_Form; ?>;
}
.Clase_INPUT_Text {
	border: 1px solid <?PHP echo $Borde_Form; ?>;
	background: #FFFFFF;
	COLOR: #000000;
	FONT-FAMILY: Arial, Helvetica, sans-serif;
	FONT-SIZE: 12px;
	}

</style>

<!-- Inicia Validador de Inactividad -->
<script type="text/javascript">
var Inac;
function ini() {
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
function parar() {
  clearTimeout(Inac);
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
</script>

<!-- Termina Validador de Inactividad -->
</head>

<body onload="ini()" onkeypress="parar()" onclick="parar()">

<!-- Inicia Cuerpo de la Interfaz Gráfica -->
<Br><Br><Br><Br><Br><Br><Br><Br>
<?PHP

	//////Arrastrando campos del Formulario 
		$PalletPG=strtoupper($_POST['txt_NoPall']) or $PalletPG=strtoupper($_GET['txt_NoPall']);
		$MotivoPG=$_POST['txt_CveTiAju'] or $MotivoPG=$_GET['txt_CveTiAju'];
		$AjusteAPG=$_POST['txt_AjusteA'] or $AjusteAPG=$_GET['txt_AjusteA'];
		$SeleccionDeAjuste=strtoupper($_POST['txt_TipoAju']) or $SeleccionDeAjuste=strtoupper($_GET['txt_TipoAju']);
		$ObservaPG=strtoupper($_POST['txt_OBS']) or $ObservaPG=strtoupper($_GET['txt_OBS']);
		$Nota1PG=strtoupper($_POST['txt_NOTA1']) or $Nota1PG=strtoupper($_GET['txt_NOTA1']);
		$Nota2PG=strtoupper($_POST['txt_NOTA2']) or $Nota2PG=strtoupper($_GET['txt_NOTA2']);
		$IdBdPG=strtoupper($_POST['txt_IdBd']) or $IdBdPG=strtoupper($_GET['txt_IdBd']);
			
			//////Validar campos en blanco////////////
		if ($SeleccionDeAjuste=="")
			{ ////Inicia If Tipo de Ajuste
			echo "<script>alert('Error Interno:\\nSe debe asignar el tipo de Ajuste para la clave: $MotivoPG dentro del catalogo de Motivos de Ajuste o en su defecto favor de Ponerse en contacto con el Administrador del Sistema.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=53-ProcesaAjustePallet2.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&PalletKP=$PalletPG&IdBdKP=$IdBdPG'>";
			}
			else
			{ ////Else If Tipo de Ajuste
			
		if ($PalletPG=="")
			{ ////Inicia If Pallet
			echo "<script>alert('EL pallet que intentas ajustar no existe dentro del Sistema.\\nFavor de corroborarlo.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=53-ProcesaAjustePallet2.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&PalletKP=$PalletPG&IdBdKP=$IdBdPG'>";
			}
			else
			{ ////Else If Pallet
			
		if ($MotivoPG=="")
			{ ////Inicia If Motivo
			echo "<script>alert('Debes de Seleccionar el motivo de Ajuste del Pallet.\\nFavor de corroborarlo.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=53-ProcesaAjustePallet2.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&PalletKP=$PalletPG&IdBdKP=$IdBdPG'>";
			}
			else
			{ ////Else If Motivo
		
		if ($AjusteAPG=="")
			{ ////Inicia If Cantidad a Ajustar
			echo "<script>alert('Debes digitar la cantidad a la cual deseas procesar el ajuste.\\n(CFD - Cantidad Final Deseada).\\nFavor de corroborarlo.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=53-ProcesaAjustePallet2.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&PalletKP=$PalletPG&IdBdKP=$IdBdPG'>";
			}
			else
			{ ////Else If Cantidad a Ajustar
			
				///// Identificar si el Motivo de Ajuste realmente existe/////
				$sqlMA = mysql_query("select * from tabla_motivoajuste WHERE CVE_CUENTA='$CveCueCR1' AND CVE_AJUSTE='$MotivoPG'");
				if (mysql_numrows($sqlMA)==0)
				{ ////Inicia If Identificar Catalogo Motivo Ajuste
					echo "<script>alert('El motivo de Ajuste seleccionado No existe dentro del catalogo de Motivos de Ajsute.\\nFavor de corroborarlo.');</script>";
					echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=53-ProcesaAjustePallet2.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&PalletKP=$PalletPG&IdBdKP=$IdBdPG'>";
				}
				else
				{ ////Inicia Else Identificar Catalogo Motivo Ajuste

			
				/////////Identificar Datos del Pallet dentro del Inventario en 
				$sqlIP = mysql_query("select * from tabla_inventario WHERE CVE_CUENTA='$CveCueCR1' AND NO_PALLET='$PalletPG'");
				if (mysql_numrows($sqlIP)==0) echo "";
				else{
				$registroIP=mysql_fetch_array($sqlIP);
				}
				if (mysql_numrows($sqlIP)>0)
				{
				$CNPNoDocu=$registroIP["NO_DOCUMENTO"];
				$CNPNoComple=$registroIP["NO_DOC_COMPLE"];
				$CNPSku=$registroIP["SKU"];
				$CNPSkuAlt=$registroIP["SKU_ALT"];
				$CNPDesc=$registroIP["DESCRIPCION"];
				$CNPFechaEnt=$registroIP["FECHA_ENTRADA"];
				$CNPCanti=$registroIP["CANTIDAD"];
				$CNPLote=$registroIP["LOTE"];
				$CNPLoteWms=$registroIP["LOTEWMS"];
				$CNPLotePro=$registroIP["LOTEPRODU"];
				$CNPCadu=$registroIP["CADUCIDAD"];
				$CNPFactu=$registroIP["FACTURA"];
				$CNPProv=$registroIP["PROVEEDOR"];
				$CNPPxca=$registroIP["PIEZASXCAJA"];
				$CNPCxpall=$registroIP["CAJASXPALLET"];
				$CArmPall=$registroIP["ARM_PALLET"];
				$CNPUbica=$registroIP["UBICACION"];
				$CNPriori=$registroIP["PRIORIDAD"];
				$CNPEdoCai=$registroIP["EDO_CALIDAD"];
				}
				
//////**************************************** AJUSTE A MENOS ****************************************//////	
//////####################################### INICIA #################################################//////		
				
		if ($SeleccionDeAjuste=="A MENOS")
			{ //// Inicia If Opción Ajuste a Menos
			
				if ($AjusteAPG>$CNPCanti)
					{ ///// Inicia If Calculo ajuste a menos Mayor que el Stock
						echo "<script>alert('La cantidad que deseas Ajustar a Menos, es Mayor a la existente en el pallet.\\nFavor de Corroborarlo.');</script>";
						echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=53-ProcesaAjustePallet2.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&PalletKP=$PalletPG&IdBdKP=$IdBdPG'>";
					} ///// Termina If Calculo ajuste a menos Mayor que el Stock
					else
					{ ///// Inicia Else Calculo ajuste a menos Mayor que el Stock
			
						/////////// Inicia Proceso Matematico de Ajuste ///////////
						$ResultadoAjuste=$CNPCanti - $AjusteAPG;
						$ResultadoAjusteOK="-".$ResultadoAjuste;
						///////////Terimna Proceso Matematico de Ajuste ///////////

						/////////// Guarda el Ajuste al Pallet en la BD - Modifica la tabla_inventario ///////////
						$ArmPallOri="1 pallet de ".$AjusteAPG." piezas";

						$sqlGMP="UPDATE tabla_inventario SET CANTIDAD='$AjusteAPG', ARM_PALLET='$ArmPallOri' WHERE CVE_CUENTA='$CveCueCR1' AND NO_PALLET='$PalletPG'";
						$resultadoGMP=mysql_query($sqlGMP,$conexion) or die(mysql_error());
						
						/////////// Generador de Folio para Guardar el Kardex ///////////
						
						/////////// Hora y Fecha ///////////
						$Hora=time();
						$HoraOK=date("H:i:s",$Hora);
						$FechaOk=date("d/m/Y");
			
						$sqlIDPK = "select max(ID) as ultimo_FOLIOPK from tabla_kardex"; 
						$libPK = mysql_query($sqlIDPK); 
						$rs_libPK = mysql_fetch_assoc($libPK); 
						$id_nuevoPK = $rs_libPK['ultimo_FOLIOPK'] + 1;
			
						/////////// Guardar el Registro nuevo en el Kardex ///////////		
						$NombreMovimiento="AJUSTE -";
						$FechaAMen=date("Y/m/d");
						$sqlGK = "insert tabla_kardex (ID,CVE_BODEGA,CVE_CUENTA,SKU,SKU_ALT,NO_DOCUMENTO,MOVIMIENTO,CLAVEUBICACION,PALLET,PIEZAS,FECHA,HORA,USUARIO)
					values('$id_nuevoPK','$CveBodCR1','$CveCueCR1','$CNPSku','$CNPSkuAlt','$CNPNoDocu','$NombreMovimiento','$CNPUbica','$PalletPG','$ResultadoAjusteOK','$FechaAMen','$HoraOK','$UsuEn')";
						$resultadoGK=mysql_query($sqlGK,$conexion) or die(mysql_error());
						
						/////////// Generador de Folio para Guardar el Ajuste en la tabla_ajustes ///////////		
						$sqlID = "select max(ID) as ultimo_FOLIO from tabla_ajustes"; 
						$lib = mysql_query($sqlID); 
						$rs_lib = mysql_fetch_assoc($lib); 
						$id_nuevo = $rs_lib['ultimo_FOLIO'] + 1;
						
						/////////// Guardar el Ajuste en la tabla_ajustes ///////////			
						$FechaAMen=date("Y/m/d");
						$sqlGA1 = "insert tabla_ajustes (ID,CVE_BODEGA,CVE_CUENTA,PALLET,SKU,DESCRIPCION,C_ORIGINAL,C_AJUSTE,C_RESULTANTE,MOTIVO,OBSERVACIONES,NOTA_1,NOTA_2,FECHA,HORA,USUARIO)
					values('$id_nuevo','$CveBodCR1','$CveCueCR1','$PalletPG','$CNPSku','$CNPDesc','$CNPCanti','$ResultadoAjusteOK','$AjusteAPG','$MotivoPG','$ObservaPG','$Nota1PG','$Nota2PG','$FechaAMen','$HoraOK','$UsuEn')";
						$resultadoGA1=mysql_query($sqlGA1,$conexion) or die(mysql_error());
						
						/////Consulta que elimina el registro temporal del Pallet en la tabla temporal_ajuste
						$sqlETD= "DELETE FROM temporal_ajuste WHERE CVE_CUENTA='$CveCueCR1' AND NO_PALLET='$NPalletPG' and USUARIO='$UsuEn'";
						$resultadoETD=mysql_query($sqlETD,$conexion) or die(mysql_error());
					
						/////Consulta que elimina el registro temporal del Pallet en la tabla_pallet_proceso
						$sqlEPM= "DELETE FROM tabla_pallet_proceso WHERE CVE_CUENTA='$CveCueCR1' AND USUARIO_REG='$UsuEn' AND TIPO_PROCESO='DIVISIÓN PALLET'";
						$resultadoEPM=mysql_query($sqlEPM,$conexion) or die(mysql_error());
						
						
						////Confirmar proceso y regresar
						echo "<script>alert('AJUSTE PROCESADO CORRECTAMENTE');</script>";
						echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=53-ProcesaAjustePallet.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&EliBuf=SI'>";
			
					} ///// Termina Else Calculo ajuste a menos Mayor que el Stock
			} //// Termina If Opción Ajuste a Menos

//////####################################### TERMINA #################################################//////				
//////**************************************** AJUSTE A MENOS ****************************************//////	

/////%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%//////

//////**************************************** AJUSTE A MAS ****************************************//////	
//////####################################### INICIA #################################################//////		
				
		if ($SeleccionDeAjuste=="A MAS")
			{ //// Inicia If Opción Ajuste a Menos
			
				if ($AjusteAPG<=$CNPCanti)
					{ ///// Inicia If Calculo ajuste a menos Mayor que el Stock
						echo "<script>alert('La cantidad que deseas Ajustar a Mas, es Menor o Igual a la existente en el pallet.\\nFavor de Corroborarlo.');</script>";
						echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=53-ProcesaAjustePallet2.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&PalletKP=$PalletPG&IdBdKP=$IdBdPG'>";
					} ///// Termina If Calculo ajuste a menos Mayor que el Stock
					else
					{ ///// Inicia Else Calculo ajuste a menos Mayor que el Stock
			
						/////////// Inicia Proceso Matematico de Ajuste ///////////
						$ResultadoAjuste=$AjusteAPG - $CNPCanti;
						$ResultadoAjusteOK=$ResultadoAjuste;
						///////////Terimna Proceso Matematico de Ajuste ///////////

						/////////// Guarda el Ajuste al Pallet en la BD - Modifica la tabla_inventario ///////////
						$ArmPallOri="1 pallet de ".$AjusteAPG." piezas";

						$sqlGMP="UPDATE tabla_inventario SET CANTIDAD='$AjusteAPG', ARM_PALLET='$ArmPallOri' WHERE CVE_CUENTA='$CveCueCR1' AND NO_PALLET='$PalletPG'";
						$resultadoGMP=mysql_query($sqlGMP,$conexion) or die(mysql_error());
						
						/////////// Generador de Folio para Guardar el Kardex ///////////
						
						/////////// Hora y Fecha ///////////
						$Hora=time();
						$HoraOK=date("H:i:s",$Hora);
						$FechaOk=date("d/m/Y");
			
						$sqlIDPK = "select max(ID) as ultimo_FOLIOPK from tabla_kardex"; 
						$libPK = mysql_query($sqlIDPK); 
						$rs_libPK = mysql_fetch_assoc($libPK); 
						$id_nuevoPK = $rs_libPK['ultimo_FOLIOPK'] + 1;
			
						/////////// Guardar el Registro nuevo en el Kardex ///////////		
						$NombreMovimiento="AJUSTE +";
						$FechaAMen=date("Y/m/d");
						$sqlGK = "insert tabla_kardex (ID,CVE_BODEGA,CVE_CUENTA,SKU,SKU_ALT,NO_DOCUMENTO,MOVIMIENTO,CLAVEUBICACION,PALLET,PIEZAS,FECHA,HORA,USUARIO)
					values('$id_nuevoPK','$CveBodCR1','$CveCueCR1','$CNPSku','$CNPSkuAlt','$CNPNoDocu','$NombreMovimiento','$CNPUbica','$PalletPG','$ResultadoAjusteOK','$FechaAMen','$HoraOK','$UsuEn')";
						$resultadoGK=mysql_query($sqlGK,$conexion) or die(mysql_error());
						
						/////////// Generador de Folio para Guardar el Ajuste en la tabla_ajustes ///////////		
						$sqlID = "select max(ID) as ultimo_FOLIO from tabla_ajustes"; 
						$lib = mysql_query($sqlID); 
						$rs_lib = mysql_fetch_assoc($lib); 
						$id_nuevo = $rs_lib['ultimo_FOLIO'] + 1;
						
						/////////// Guardar el Ajuste en la tabla_ajustes ///////////			
						$FechaAMen=date("Y/m/d");
						$sqlGA1 = "insert tabla_ajustes (ID,CVE_BODEGA,CVE_CUENTA,PALLET,SKU,DESCRIPCION,C_ORIGINAL,C_AJUSTE,C_RESULTANTE,MOTIVO,OBSERVACIONES,NOTA_1,NOTA_2,FECHA,HORA,USUARIO)
					values('$id_nuevo','$CveBodCR1','$CveCueCR1','$PalletPG','$CNPSku','$CNPDesc','$CNPCanti','$ResultadoAjusteOK','$AjusteAPG','$MotivoPG','$ObservaPG','$Nota1PG','$Nota2PG','$FechaAMen','$HoraOK','$UsuEn')";
						$resultadoGA1=mysql_query($sqlGA1,$conexion) or die(mysql_error());
						
						/////Consulta que elimina el registro temporal del Pallet en la tabla temporal_ajuste
						$sqlETD= "DELETE FROM temporal_ajuste WHERE CVE_CUENTA='$CveCueCR1' AND NO_PALLET='$NPalletPG' and USUARIO='$UsuEn'";
						$resultadoETD=mysql_query($sqlETD,$conexion) or die(mysql_error());
					
						/////Consulta que elimina el registro temporal del Pallet en la tabla_pallet_proceso
						$sqlEPM= "DELETE FROM tabla_pallet_proceso WHERE CVE_CUENTA='$CveCueCR1' AND USUARIO_REG='$UsuEn' AND TIPO_PROCESO='DIVISIÓN PALLET'";
						$resultadoEPM=mysql_query($sqlEPM,$conexion) or die(mysql_error());
						
						
						////Confirmar proceso y regresar
						echo "<script>alert('AJUSTE PROCESADO CORRECTAMENTE');</script>";
						echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=53-ProcesaAjustePallet.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&EliBuf=SI'>";
			
					} ///// Termina Else Calculo ajuste a menos Mayor que el Stock
			} //// Termina If Opción Ajuste a Menos

//////####################################### TERMINA #################################################//////				
//////**************************************** AJUSTE A MAS ****************************************//////
			
			} ////Termina Else Identificar Catalogo Motivo Ajuste
			} ////Termina If Cantidad a Ajustar	
			} ////Termina If Tipo de Motivo
			} ////Termina If Tipo de Pallet
			} ////Termina If Tipo de Ajuste
			
?>

<!-- Termina Cuerpo de la Interfaz Gráfica -->

<?PHP
} ///Termina IF Permiso de Acceso 3
} ///Termina IF Permiso de Acceso 2
} ///Termina IF Permiso de Acceso 1
} ///Termina IF Sesion del Token
?>
</body>
</html>